<!--
  COPY/PASTE THIS TEMPLATE IN YOUR ISSUE MESSAGE AND MODIFY IT ACCORDINGLY
-->

### Is this a bug report or a feature request?

(Write your answer here.)

<!--
  If you answered "Bug report":

    We expect that it will take you about 30 minutes to produce a high-quality bug report.
    While this may seem like a lot, putting care into issues helps us fix them faster.
    For bug reports, it is REQUIRED to fill the rest of this template, or the issue will be closed.

  If you answered "Feature request":

    Make sure to describe as precisely as possible the feature you'd like to see implemented. If relevant, provide visual examples.
    You can ignore the next steps as long as you've made sure that your description is as clear and thorough as possible.
-->

### Have you read [the guidelines](https://github.com/archriss/react-native-snap-carousel#reporting-an-issue) regarding bug report?

(Write your answer here.)

### Have you read [the documentation](https://github.com/archriss/react-native-snap-carousel/blob/master/README.md) in its entirety?

(Write your answer here.)

### Have you made sure that your issue hasn't already been reported/solved?

(Write your answer here.)

### Is the bug specific to iOS or Android? Or can it be reproduced on both platforms?

(Write your answer here and specify the iOS/Android versions on which you've been able to reproduce the issue.)

### Have you been able to reproduce the bug in [the provided example](https://github.com/archriss/react-native-snap-carousel/tree/master/example)?

(Write your answer here.)

<!--
  If you haven't been able to reproduce the issue in the example, chances are that your code is to blame.
  Take the time to import your code in it bit by bit until you figure out what's wrong.
  If you're positive that it has to do with the plugin rather than with React Native or your own code, then you may continue filling out this template and post an issue.
-->

### Environment

<!--
  Provide information about your current environment. At the very least, it should include the following:

  Environment:
    React: 16.0.0-beta.5
    React native: 0.49.2
    react-native-snap-carousel: 3.3.4

  Target Platform:
    Android (6.0)
    iOS (10.3)
-->

(Write your answer here.)

### Steps to Reproduce

<!--
  How would you describe your issue to someone who doesn’t know you or your project?
  Try to write a sequence of steps that anybody can repeat to see the issue.
  Be specific! If the bug cannot be reproduced, your issue may be closed.
-->

(Write your steps here:)

1.
2.
3.

### Expected Behavior

<!--
  How did you expect your project to behave?
  It’s fine if you’re not sure your understanding is correct.
  Just write down what you thought would happen.
-->

(Write what you thought would happen.)

### Actual Behavior

<!--
  Did something go wrong?
  Is something broken, or not behaving as you expected?
  Describe this section in detail, and attach screencasts (or screenshots) if possible.
  Don't just say "it doesn't work"!
-->

(Write what happened. Add screencasts/screenshots!)

### Reproducible Demo

<!--
  Please share a project that reproduces the issue.
  There are two ways to do it:

    * Create a new app using https://snack.expo.io/ and try to reproduce the issue in it.
      This is useful if you roughly know where the problem is, or can’t share the real code.

    * Or, copy your app and remove things until you’re left with the minimal reproducible demo.
      This is useful for finding the root cause. You may then optionally create a Snack.

  This is a good guide to creating bug demos: https://stackoverflow.com/help/mcve
  Once you’re done, copy and paste the link to the Snack or a public GitHub repository below:
-->

(Paste the link to an example project or paste the entirety of the relevant source code. Then provide instructions to reproduce the issue.)

<!--
  What happens if you skip this step?

  Someone will read your bug report, and maybe will be able to help you,
  but it’s unlikely that it will get much attention from the team. Eventually,
  the issue will likely get closed in favor of issues that have reproducible demos.

  Please remember that:

    * Issues without reproducible demos have a very low priority.
    * The person fixing the bug would have to do that anyway. Please be respectful of their time.
    * You might figure out the issues yourself as you work on extracting it.

  Thanks for helping us help you!
-->
